const system = require("../../../system");
const Dao = require("../../dao.base");
class MaterialDao extends Dao {
  constructor() {
    super(Dao.getModelName(MaterialDao));
  }

  /*根据交付单id获取注册材料信息详情*/
  async findInfoByDeliverId(qobj){
    var qcwhere = {"delivery_id":qobj.deliverId};
    return await this.findOne(qcwhere);
  }  

  /*根据交付单id更新交付单编号*/
  async updateInfoByDeliverId(qobj,t){
    var setobj = {"delivery_code":qobj.deliverNumber};
    var whereobj = {"delivery_id":qobj.deliverId};
    return await this.updateByWhere(setobj,whereobj,t);
  }

  /*插入注册材料信息*/
  async insertInfo(qobj,t){
    var obj = {
        "delivery_id":qobj.deliverId
    };
    if (qobj.deliverNumber && qobj.deliverNumber != 'undefined'){
        obj["delivery_code"] = qobj.deliverNumber;
    }
    if (qobj.companyName && qobj.companyName != 'undefined'){
      obj.company_info.companyName = qobj.companyName;
    }
    if (qobj.spareName && qobj.spareName != 'undefined'){
      obj.company_info.spareName = qobj.spareName;
    }
    if (qobj.taxpayerType && qobj.taxpayerType != 'undefined'){
      obj.company_info.taxpayerType = qobj.taxpayerType;
    }
    if (qobj.companyProperties && qobj.companyProperties != 'undefined'){
      obj.company_info.companyProperties = qobj.companyProperties;
    }
    if (qobj.addressType && qobj.addressType != 'undefined'){
      obj.company_info.addressType = pobj.company_info.addressType;
    }
    if (qobj.fullAddress && qobj.fullAddress != 'undefined'){
      obj.company_info.fullAddress = qobj.fullAddress;
    }
    if (pobj.engagedIndustry && pobj.engagedIndustry != 'undefined'){
      obj.company_info.engagedIndustry = qobj.engagedIndustry;
    }
    if (pobj.businessScope && pobj.businessScope != 'undefined'){
      obj.company_info.businessScope = pobj.businessScope;
    }
    if (pobj.operatingPeriod && pobj.operatingPeriod != 'undefined'){
      obj.company_info.operatingPeriod = pobj.operatingPeriod;
    }
    if (pobj.individualType && pobj.individualType != 'undefined'){
      obj.company_info.individualType = pobj.individualType;
    }
    if (pobj.registeredCapital && pobj.registeredCapital != 'undefined'){
      obj.company_info.registeredCapital = pobj.registeredCapital;
    }
    if (pobj.creditCode && pobj.creditCode != 'undefined'){
      obj.company_info.creditCode = pobj.creditCode;
    }
    if (pobj.companyType && pobj.companyType != 'undefined'){
      obj.company_info.companyType = pobj.companyType;
    }
    if (pobj.establishedTime && pobj.establishedTime != 'undefined'){
      obj.company_info.establishedTime = pobj.establishedTime;
    }
    if (pobj.shareholderName && pobj.shareholderName != 'undefined'){
      obj.company_info.shareholderName = pobj.shareholderName;
    }
    if (pobj.registeredCapital && pobj.registeredCapital != 'undefined'){
      obj.registered_info.registeredCapital = pobj.registeredCapital;
    }
    if (pobj.registeredDate && pobj.registeredDate != 'undefined'){
      obj.registered_info.registeredDate = pobj.registeredDate;
    }
    if (pobj.reserveProportion && pobj.reserveProportion != 'undefined'){
      obj.registered_info.reserveProportion = pobj.reserveProportion;
    }
    if (pobj.contributionInfo && pobj.contributionInfo != 'undefined'){
      obj.contribution_info.contributionInfo = pobj.contributionInfo;
    }
    if (pobj.positionInfo && pobj.positionInfo != 'undefined'){
      obj.position_info.positionInfo = pobj.positionInfo;
    }
    if (pobj.managerName && pobj.managerName != 'undefined'){
      obj.position_info.managerName = pobj.managerName;
    }
    if (pobj.managerName && pobj.managerName != 'undefined'){
      obj.position_info.managerName = pobj.managerName;
    }
    if (pobj.IdentificationNumber && pobj.IdentificationNumber != 'undefined'){
      obj.position_info.IdentificationNumber = pobj.IdentificationNumber;
    }
    if (pobj.phoneNumber && pobj.phoneNumber != 'undefined'){
      obj.position_info.phoneNumber = pobj.phoneNumber;
    }
    if (pobj.contactAddress && pobj.contactAddress != 'undefined'){
      obj.position_info.contactAddress = pobj.contactAddress;
    }
    if (pobj.legalpersonCertificate && pobj.legalpersonCertificate != 'undefined'){
      obj.file_info.legalpersonCertificate = pobj.legalpersonCertificate;
    }
    if (pobj.cfoCertificate && pobj.cfoCertificate != 'undefined'){
      obj.file_info.cfoCertificate = pobj.cfoCertificate;
    }
    if (pobj.titleCertificate && pobj.titleCertificate != 'undefined'){
      obj.file_info.titleCertificate = pobj.titleCertificate;
    }
    if (pobj.naturalpersonCertificate && pobj.naturalpersonCertificate != 'undefined'){
      obj.file_info.naturalpersonCertificate = obj.naturalpersonCertificate;
    }
    if (pobj.socialCertificate && pobj.socialCertificate != 'undefined'){
      obj.file_info.socialCertificate = pobj.socialCertificate;
    }
    if (pobj.directorCertificate && pobj.directorCertificate != 'undefined'){
      obj.file_info.directorCertificate = pobj.directorCertificate;
    }
    if (pobj.managerCertificate && pobj.managerCertificate != 'undefined'){
      obj.file_info.managerCertificate = pobj.managerCertificate;
    }
    if (pobj.supervisorCertificate && pobj.supervisorCertificate != 'undefined'){
      obj.file_info.supervisorCertificate = pobj.supervisorCertificate;
    }
    if (pobj.managerCertificate && pobj.managerCertificate != 'undefined'){
      obj.file_info.managerCertificate = pobj.managerCertificate;
    }
    if (pobj.trackingNumber && pobj.trackingNumber != 'undefined'){
      obj.express_info.trackingNumber = pobj.trackingNumber;
    }
    if (pobj.logisticsCompany && pobj.logisticsCompany != 'undefined'){
      obj.express_info.logisticsCompany = pobj.logisticsCompany;
    }
    if (pobj.addresseeName && pobj.addresseeName != 'undefined'){
      obj.express_info.addresseeName = pobj.addresseeName;
    }
    if (pobj.addresseePhone && pobj.addresseePhone != 'undefined'){
      obj.express_info.addresseePhone = pobj.addresseePhone;
    }
    if (pobj.addresseeEmail && pobj.addresseeEmail != 'undefined'){
      obj.express_info.addresseeEmail = pobj.addresseeEmail;
    }
    if (pobj.addresseeAddress && pobj.addresseeAddress != 'undefined'){
      obj.express_info.addresseeAddress = pobj.addresseeAddress;
    }
    if (pobj.expressStatus && pobj.expressStatus != 'undefined'){
      obj.express_info.expressStatus = pobj.expressStatus;
    }
    return await this.create(obj,t);
  }


}
module.exports = MaterialDao;
