const system = require("../../../system");
const Dao = require("../../dao.base");
class SchemeDao extends Dao {
  constructor() {
    super(Dao.getModelName(SchemeDao));
  }

  /*根据方案编号获取方案信息详情*/
  async findInfoBySchemeNumber(qobj){
    var qcwhere = {"scheme_number":qobj.schemeNumber};
    return await this.findOne(qcwhere);
  }
  
  /*根据方案编号更新方案状态及原因*/
  async updateStatusBySchemeNumber(qobj,t){
    var setobj = {"scheme_status":qobj.currentStatus};
    if (qobj.statusReason && qobj.statusReason != 'undefined'){
        setobj["reject_reason"] = qobj.statusReason;
    } 
    var whereobj = {"scheme_number":qobj.schemeNumber};
    return await this.updateByWhere(setobj,whereobj,t);
  }

  /*根据方案编号更新方案详情*/
  async updateInfoBySchemeNumber(qobj,t){
    var whereobj = {"scheme_number":qobj.schemeNumber};
    var setobj = await this.findOne(whereobj);
    if (setobj){
      if (qobj.businessMode && qobj.businessMode != 'undefined'){
        setobj.demand_code = qobj.businessMode;
      }
      if (qobj.statusReason && qobj.statusReason != 'undefined'){
        setobj.reject_reason = qobj.statusReason;
      }
      if (qobj.memoInfo && qobj.memoInfo != 'undefined'){
        setobj.remark_info = qobj.memoInfo;
      }
      if (qobj.businessId && qobj.businessId != 'undefined'){
        setobj.bizopt_id = qobj.businessId;
      }
      if (qobj.servicerCode && qobj.servicerCode != 'undefined'){
        setobj.facilitator_id = qobj.servicerCode;
      }
      if (qobj.servicerName && qobj.servicerName != 'undefined'){
        setobj.facilitator_name = qobj.servicerName;
      }
      if (qobj.clerkOpcode && qobj.clerkOpcode != 'undefined'){
        setobj.salesman_opcode = qobj.clerkOpcode;
      }
      if (qobj.clerkId && qobj.clerkId != 'undefined'){
        setobj.salesman_id = qobj.clerkId;
      }
      if (qobj.clerkName && qobj.clerkName != 'undefined'){
        setobj.salesman_name = qobj.clerkName;
      }
      if (qobj.clerkPhone && qobj.clerkPhone != 'undefined'){
        setobj.salesman_phone = qobj.clerkPhone;
      }
      if (qobj.taxpayerType && qobj.taxpayerType != 'undefined'){
        setobj.scheme_info.taxpayerType = qobj.taxpayerType;
      }
      if (qobj.registeredType && qobj.registeredType != 'undefined'){
        setobj.scheme_info.registeredType = qobj.registeredType;
      }
      if (qobj.companyProperties && qobj.companyProperties != 'undefined'){
        setobj.scheme_info.companyProperties = qobj.companyProperties;
      }
      if (qobj.engagedIndustry && qobj.engagedIndustry != 'undefined'){
        setobj.scheme_info.engagedIndustry = qobj.engagedIndustry;
      }
      if (qobj.addressType && qobj.addressType != 'undefined'){
        setobj.scheme_info.addressType = qobj.addressType;
      }
      if (qobj.fullAddress && qobj.fullAddress != 'undefined'){
        setobj.scheme_info.fullAddress = qobj.fullAddress;
      }
      if (qobj.businessScope && qobj.businessScope != 'undefined'){
        setobj.scheme_info.businessScope = qobj.businessScope;
      }
      if (qobj.isWhether && qobj.isWhether != 'undefined'){
        setobj.scheme_info.isWhether = qobj.isWhether;
      }
      if (qobj.whetherType && qobj.whetherType != 'undefined'){
        setobj.scheme_info.whetherType = qobj.whetherType;
      }
      if (qobj.subjectType && qobj.subjectType != 'undefined'){
        setobj.scheme_info.subjectType = qobj.subjectType;
      }
      if (qobj.buyTime && qobj.buyTime != 'undefined'){
        setobj.scheme_info.buyTime = qobj.buyTime;
      }
      if (qobj.buyDuration && qobj.buyDuration != 'undefined'){
        setobj.scheme_info.buyDuration = qobj.buyDuration;
      }
      if (qobj.isRenew && qobj.isRenew != 'undefined'){
        setobj.scheme_info.isRenew = qobj.isRenew;
      }
      if (qobj.creditCode && qobj.creditCode != 'undefined'){
        setobj.scheme_info.creditCode = qobj.creditCode;
      }
      if (qobj.companyType && qobj.companyType != 'undefined'){
        setobj.scheme_info.companyType = qobj.companyType;
      }
      if (qobj.establishedTime && qobj.establishedTime != 'undefined'){
        setobj.scheme_info.establishedTime = qobj.establishedTime;
      }
      if (qobj.registeredCapital && qobj.registeredCapital != 'undefined'){
        setobj.scheme_info.registeredCapital = qobj.registeredCapital;
      }
      if (qobj.shareholderName && qobj.shareholderName != 'undefined'){
        setobj.scheme_info.shareholderName = qobj.shareholderName;
      }
      if (qobj.businessTerm && qobj.businessTerm != 'undefined'){
        setobj.scheme_info.businessTerm = qobj.businessTerm;
      }
      if (qobj.residenceAddress && qobj.residenceAddress != 'undefined'){
        setobj.scheme_info.residenceAddress = qobj.residenceAddress;
      }
      return await this.updateByWhere(setobj,whereobj,t);
    }
    else{
      return -1;
    }
    
  }

  /*根据商机编号更新方案编号*/
  async updateSchemeNumberByDemandCode(qobj,t){
    var setobj = {"scheme_number":qobj.schemeNumber};
    var whereobj = {"demand_code":qobj.businessMode};
    return await this.updateByWhere(setobj,whereobj,t);
  }

  /*插入方案信息*/
  async insertInfo(qobj,t){
    var obj = {
      "demand_code":qobj.businessMode,
      "scheme_info":qobj.baseInfo
    };
    if (qobj.currentStatus && qobj.currentStatus != 'undefined'){
      obj["scheme_status"] = qobj.currentStatus;
    }
    if (qobj.schemeNumber && qobj.schemeNumber != 'undefined'){
      obj["scheme_number"] = qobj.schemeNumber;
    }
    if (qobj.statusReason && qobj.statusReason != 'undefined'){
      obj["reject_reason"] = qobj.statusReason;
    }
    if (qobj.memoInfo && qobj.memoInfo != 'undefined'){
      obj["remark_info"] = qobj.memoInfo;
    }
    if (qobj.businessId && qobj.businessId != 'undefined'){
      obj["bizopt_id"] = qobj.businessId;
    }
    if (qobj.servicerCode && qobj.servicerCode != 'undefined'){
      obj["facilitator_id"] = qobj.servicerCode;
    }
    if (qobj.servicerName && qobj.servicerName != 'undefined'){
      obj["facilitator_name"] = qobj.servicerName;
    }
    if (qobj.clerkOpcode && qobj.clerkOpcode != 'undefined'){
      obj["salesman_opcode"] = qobj.clerkOpcode;
    }
    if (qobj.clerkId && qobj.clerkId != 'undefined'){
      obj["salesman_id"] = qobj.clerkId;
    }
    if (qobj.clerkName && qobj.clerkName != 'undefined'){
      obj["salesman_name"] = qobj.clerkName;
    }
    if (qobj.clerkPhone && qobj.clerkPhone != 'undefined'){
      obj["salesman_phone"] = qobj.clerkPhone;
    }
    return await this.create(obj,t);
  }


}
module.exports = SchemeDao;
