const system = require("../../../system");
const ServiceBase = require("../../sve.base");
const settings = require("../../../../config/settings");
const appconfig = system.getSysConfig();
class SchemeService extends ServiceBase {
    constructor() {
        super("bizchance", ServiceBase.getDaoName(SchemeService));
    }
    // async findAndCountAll(obj) {
    //     var self = this;
    //     const apps = await this.dao.findAndCountAll(obj);
    //     return apps;
    // }

    /*根据id获取方案信息*/
    async findById(qobj){
        var oid = qobj.id;
        return await this.dao.findById(oid);
    }

    /*根据方案编号获取方案详情*/
    async findInfoBySchemeNumber(qobj){
        return await this.dao.findInfoBySchemeNumber(qobj);
    }

    /* 根据方案编号更新方案状态及原因 */
    async updateStatusBySchemeNumber(qobj){
        var self=this;
        return self.db.transaction(async function (t) {
            return await self.dao.updateStatusBySchemeNumber(qobj,t);
        });
    }

    /*根据方案编号更新方案详情*/
    async updateInfoBySchemeNumber(qobj){
        var self = this;
        return self.db.transaction(async function (t) {
            return await self.dao.updateInfoBySchemeNumber(qobj,t);
        });
    }

    /*根据商机编号更新方案编号*/
    async updateSchemeNumberByDemandCode(qobj){
        var self = this;
        return self.db.transaction(async function (t) {
            return await self.dao.updateSchemeNumberByDemandCode(qobj,t);
        });
    }

    /*插入方案信息*/
    async insertInfo(qobj){
        var self = this;
        return await self.db.transaction(async function (t) {
            return await self.dao.insertInfo(qobj,t);
        });
    }

}
module.exports = SchemeService;