const system = require("../../../system");
const ServiceBase = require("../../sve.base");
const settings = require("../../../../config/settings");
const appconfig = system.getSysConfig();
class DeliverybillService extends ServiceBase {
    constructor() {
        super("bizchance", ServiceBase.getDaoName(DeliverybillService));
    }
    async findAndCountAll(obj) {
        var self = this;
        const apps = await this.dao.findAndCountAll(obj);
        return apps;
    }

    /*根据交付单编号获取交付单详情*/
    async findInfoByDeliverCode(qobj){
        return await this.dao.findInfoByDeliverCode(qobj);
    }

    /* 根据交付单编号更新交付单状态 */
    async updateInfoByDeliverCode(qobj){
        var self=this;
        return self.db.transaction(async function (t) {
            return await self.dao.updateInfoByDeliverCode(qobj,t);
        });
    }

    /*插入交付单信息*/
    async insertInfo(qobj){
        var self=this;
        return self.db.transaction(async function (t) {
            return await self.dao.insertInfo(qobj,t);
        }); 
    }

}
module.exports = DeliverybillService;